
%global meadversion 1.8.3
%global namedversion 1.8.3.redhat-6
%global meadalpha .redhat_6
%global meadrel .1
%global serial 13

# Copyright (c) 2000-2013, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# FIXME: This package shoudl really be split into three separate packages.

%bcond_without mead

%bcond_with javadoc

%define maven_version 1.8.3.redhat-6

Name:           apache-commons-beanutils
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Commons BeanUtils
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: commons-beanutils-1.8.3.redhat-6-scm-sources.zip
Source102: commons-beanutils-1.8.3.redhat-6-javadoc.jar
Source103: commons-beanutils-1.8.3.redhat-6.jar
Source104: commons-beanutils-1.8.3.redhat-6.pom
Source105: commons-beanutils-1.8.3.redhat-6-sources.jar
Source106: commons-beanutils-bean-collections-1.8.3.redhat-6.jar
Source107: commons-beanutils-bean-collections-1.8.3.redhat-6.pom
Source108: commons-beanutils-core-1.8.3.redhat-6.jar
Source109: commons-beanutils-core-1.8.3.redhat-6.pom
%endif

URL:            http://commons.apache.org/beanutils/
Provides:       commons-beanutils = %{epoch}:%{version}-%{release}
Obsoletes:      jakarta-commons-beanutils < %{epoch}:%{version}-%{release}
Provides:       jakarta-commons-beanutils = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/commons-beanutils-%{namedversion}-%{release}-root

%description
BeanUtils provides an easy-to-use but flexible wrapper around reflection and
introspection.

%if %with javadoc
%package javadoc
Summary:        Javadoc for commons-beanutils
Group:          Development/Documentation

Provides:       commons-beanutils-javadoc = %{epoch}:%{version}-%{release}
Obsoletes:      jakarta-commons-beanutils-javadoc < %{epoch}:%{version}-%{release}
Provides:       jakarta-commons-beanutils-javadoc = %{epoch}:%{version}-%{release}
Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description javadoc
%{summary}.
%endif

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/commons-beanutils-%{namedversion}.jar %{buildroot}%{_javadir}/commons-beanutils-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/commons-beanutils-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/commons-beanutils-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/commons-beanutils-%{namedversion}-sources.jar %{buildroot}%{_javadir}/commons-beanutils-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/commons-beanutils-bean-collections-%{namedversion}.jar %{buildroot}%{_javadir}/commons-beanutils-bean-collections-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/commons-beanutils-core-%{namedversion}.jar %{buildroot}%{_javadir}/commons-beanutils-core-%{namedversion}.jar
%{__ln_s} commons-beanutils-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta-commons-beanutils-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g;"`; done)

%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/commons-beanutils-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-commons-beanutils.pom
%{__cp} -p %{_sourcedir}/commons-beanutils-bean-collections-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-commons-beanutils-bean-collections.pom
%{__cp} -p %{_sourcedir}/commons-beanutils-core-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-commons-beanutils-core.pom

%add_to_maven_depmap commons-beanutils commons-beanutils-core %{namedversion} JPP commons-beanutils-core
[ "%{name}" = "commons-beanutils" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/commons-beanutils-core
%add_to_maven_depmap commons-beanutils commons-beanutils-bean-collections %{namedversion} JPP commons-beanutils-bean-collections
[ "%{name}" = "commons-beanutils" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/commons-beanutils-bean-collections
%add_to_maven_depmap commons-beanutils commons-beanutils %{namedversion} JPP commons-beanutils
[ "%{name}" = "commons-beanutils" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/commons-beanutils

# javadoc
%if %with javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/commons-beanutils-%{namedversion}
%{__unzip} -qq %{_sourcedir}/commons-beanutils-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/commons-beanutils-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/commons-beanutils-%{namedversion}/META-INF
%{__ln_s} commons-beanutils-%{namedversion} %{buildroot}%{_javadocdir}/commons-beanutils
%{__ln_s} commons-beanutils-%{namedversion} %{buildroot}%{_javadocdir}/jakarta-commons-beanutils-%{namedversion}
%{__ln_s} jakarta-commons-beanutils-%{namedversion} %{buildroot}%{_javadocdir}/jakarta-commons-beanutils
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}/commons-beanutils-%{namedversion}.jar
%{_javadir}/commons-beanutils.jar
%{_javadir}/commons-beanutils-%{namedversion}-sources.jar
%{_javadir}/commons-beanutils-sources.jar
%{_javadir}/jakarta-commons-beanutils-%{namedversion}.jar
%{_javadir}/jakarta-commons-beanutils.jar
%{_mavenpomdir}/JPP-commons-beanutils.pom
%{_mavendepmapfragdir}/commons-beanutils
#
%{_javadir}/commons-beanutils-core-%{namedversion}.jar
%{_javadir}/commons-beanutils-core.jar
%{_mavenpomdir}/JPP-commons-beanutils-core.pom
%{_mavendepmapfragdir}/commons-beanutils-core
#
%{_javadir}/commons-beanutils-bean-collections-%{namedversion}.jar
%{_javadir}/commons-beanutils-bean-collections.jar
%{_mavenpomdir}/JPP-commons-beanutils-bean-collections.pom
%{_mavendepmapfragdir}/commons-beanutils-bean-collections

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/commons-beanutils-%{namedversion}
%{_javadocdir}/commons-beanutils
%{_javadocdir}/jakarta-commons-beanutils-%{namedversion}
%{_javadocdir}/jakarta-commons-beanutils
%{_javadir}/commons-beanutils-%{namedversion}-javadoc.jar
%{_javadir}/commons-beanutils-javadoc.jar
%endif

%changelog
* Mon Jul 29 2013 David Walluck <dwalluck@redhat.com> 0:1.8.3-13
- remove all non-MEAD related code
- add sources and javadoc jars

* Sat Jul 27 2013 Paul Gier <pgier@redhat.com> 0:1.8.3-12
- Update pom patches to remove slf4j dependency (#959110)

* Thu Apr 11 2013 David Walluck <dwalluck@redhat.com> 0:1.8.3-11
- patch to remove commons-collections classes (#918564)
- fix mvn command options
- add %%doc in MEAD mode too
- fix zip creation and zip deploy in non-MEAD mode
- fix file list

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.8.3-10.redhat_2
- Rebuild for MD5

* Tue Sep 04 2012 David Walluck <dwalluck@redhat.com> 0:1.8.3-9
- add core and bean-collections jars and poms
- fix maven deploy
- really run vman on pom and regen vman patch
- replace commons-logging:commons-logging by org.slf4j:jcl-over-slf4j

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.8.3-7.redhat_2.3
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.8.3-7.redhat_2.2
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.8.3-7.redhat_1.1
- Rebuild using cache signing

* Tue Jul 10 2012 David Walluck <dwalluck@redhat.com> 0:1.8.3-7
- put back Obsoletes/Provides for jakarta-commons-beanutils (fixes install)
- put back Requires(,post,postun): jpackage-utils (fixes maven support)

* Fri Jun 06 2012 Yong Yang <yyang@redhat.com> - 0:1.8.3-6.redhat_1
- First mead build
- Mead doesn't put core.jar and bean-collections.jar to _sourcedir, so remove these two jars from rpm

* Fri Apr 27 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.8.3-5.redhat_1
- Add sources and patches to maven2-brew directory in repolib

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.8.3-4.7_redhat_1.1
- Rebuild using cache signing

* Mon Feb 20 2012 David Walluck <dwalluck@redhat.com> 0:1.8.3-4.7
- remove included commons-collections sources and add to pom

* Wed Feb 08 2012 David Walluck <dwalluck@redhat.com> 0:1.8.3-4.6
- replace commons-logging by jcl-over-slf4j
- update poms
- disable use of commons-collections-testframework (missing pom upstream)

* Thu Feb 02 2012 David Walluck <dwalluck@redhat.com> 0:1.8.3-4.5_redhat_1
- update jboss-parent version

* Fri Nov 11 2011 David Walluck <dwalluck@redhat.com> 0:1.8.3-4.4_redhat_1
- fix Release tag

* Wed Nov 09 2011 David Walluck <dwalluck@redhat.com> 0:1.8.3-4.3
- remove bad Obsoletes

* Tue Nov 08 2011 David Walluck <dwalluck@redhat.com> 0:1.8.3-4.2
- rebuild for deploy bug

* Mon Nov 07 2011 David Walluck <dwalluck@redhat.com> 0:1.8.3-4.1
- use actual file names
- fix javadoc dir symlinks
- fix backwards compat symlinks
- fix file list
- fix docs install
- remove Requires: commons-collections (optional)
- remove gcj support
- remove triggerpostun
- remove old-style repolib
- add maven repolib

* Thu Dec 09 2010 Ralph Apel <r.apel@r-apel.de> 0:1.8.3-4
- Fix compat symlinks for obsoleted jakarta-commons-beanutils

* Thu Oct 07 2010 Ralph Apel <r.apel@r-apel.de> 0:1.8.3-3
- Provide compat symlinks for obsoleted jakarta-commons-beanutils

* Thu Sep 23 2010 Ralph Apel <r.apel@r-apel.de> 0:1.8.3-2
- Drop Requires: for apache-commons-parent

* Sat Sep 04 2010 Ralph Apel <r.apel@r-apel.de> 0:1.8.3-1
- 1.8.3

* Wed Nov 18 2009 Ralph Apel <r.apel@r-apel.de> 0:1.8.1-1
- 1.8.1
- rename to apache-commons-beanutils
- build with maven2 by default

* Thu Jan 22 2009 David Walluck <dwalluck@redhat.com> 0:1.8.0-4
- spec cleannup

* Wed Jan 07 2009 David Walluck <dwalluck@redhat.com> 0:1.8.0-3
- add simple poms and sync upstream dependencies

* Wed Jan 07 2009 David Walluck <dwalluck@redhat.com> 0:1.8.0-2
- remove bundled commons-collections classes
- bump commons-collections requirement to 3.0 or later

* Tue Jan 06 2009 David Walluck <dwalluck@redhat.com> 0:1.8.0-1
- 1.8.0

* Mon Oct 20 2008 David Walluck <dwalluck@redhat.com> 0:1.7.0-10
- add flag to build with maven

* Fri Sep 19 2008 David Walluck <dwalluck@redhat.com> 0:1.7.0-9
- add jdk6 patch
- fix repolib

* Sun Jun 15 2008 David Walluck <dwalluck@redhat.com> 0:1.7.0-8.jpp5
- fix duplicate files
- correctly unpack sources
- remove spurious gnu-crypto requirement
- remove spurious javadoc package requirements
- fix javadoc directory
- fix build-classpath call
- use macros

* Fri May 30 2008 Permaine Cheung <pcheung@redhat.com> - 0:1.7.0-7
- First JPP5 build

* Tue Jul 24 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.7.0-6jpp
- Make Vendor, Distribution based on macro
- Fix aot build
- Add poms and depmap frags
- Build with maven1 by default
- Add manual subpackage when built with maven

* Tue Mar 13 2007 Vivek Lakshmanan <vivekl@redhat.com> - 0:1.7.0-2jpp.ep1.2
- Fix repolib location

* Tue Mar 13 2007 Fernando Nasser <fnasser@redhat.com> - 0:1.7.0-2jpp.ep1.1
- New repolib location

* Mon Mar 05 2007 Fernando Nasser <fnasser@redhat.com> - 0:1.7.0-2jpp.el4ep1.3
- Remove pre section used for RHUG cleanup

* Tue Feb 20 2007 Vivek Lakshmanan <vivekl@redhat.com> - 0:1.7.0-2jpp.el4ep1.2
- Add -brew suffix

* Fri Feb 17 2007 Vivek Lakshmanan <vivekl@redhat.com> - 0:1.7.0-2jpp.el4ep1.1
- Add repolib support

* Thu Aug 17 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.7.0-5jpp
- Require what is used in post/postun for javadoc

* Fri Jul 14 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.7.0-4jpp
- Add AOT bits

* Thu May 11 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.7.0-3jpp
- Add header
- Remove unecessary macro definitions

* Wed Feb 22 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.7.0-2jpp_1rh
- Merge with upstream

* Wed Apr 27 2005 Fernando Nasser <fnasser@redhat.com> - 0:1.7.0-1jpp_3rh
- Fix build so that collections jar is created

* Sat Jan 29 2005 Ralph Apel <r.apel@r-apel.de> - 0:1.7.0-2jpp
- Use the "dist" target to get a full build, including bean-collections

* Thu Oct 21 2004 Fernando Nasser <fnasser@redhat.com> - 0:1.7.0-1jpp_1rh
- Import from upstream

* Thu Oct 21 2004 Fernando Nasser <fnasser@redhat.com> - 0:1.7.0-1jpp
- Upgrade to 1.7.0

* Fri Oct 1 2004 Andrew Overholt <overholt@redhat.com> 0:1.6.1-4jpp_6rh
- add coreutils BuildRequires

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:1.6.1-5jpp
- Rebuild with ant-1.6.2

* Fri Jul 2 2004 Aizaz Ahmed <aahmed@redhat.com> 0:1.6.1-4jpp_5rh
- Added trigger to restore symlinks that are removed if ugrading
  from a commons-beanutils rhug package

* Fri Apr  2 2004 Frank Ch. Eigler <fche@redhat.com> 0:1.6.1-4jpp_4rh
- more of the same, for version-suffixed .jar files

* Fri Mar 26 2004 Frank Ch. Eigler <fche@redhat.com> 0:1.6.1-4jpp_3rh
- add RHUG upgrade cleanup

* Fri Mar  5 2004 Frank Ch. Eigler <fche@redhat.com> 0:1.6.1-4jpp_2rh
- RH vacuuming part II

* Thu Mar  4 2004 Frank Ch. Eigler <fche@redhat.com> 0:1.6.1-4jpp_1rh
- RH vacuuming

* Fri May 09 2003 David Walluck <david@anti-microsoft.org> 0:1.6.1-4jpp
- update for JPackage 1.5

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.6.1-2jpp
- fix ASF license and add packager name

* Wed Feb 19 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.6.1-1jpp
- 1.6.1

* Thu Feb 13 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.6-1jpp
- 1.6

* Thu Oct 24 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.5-1jpp
- 1.5

* Fri Aug 23 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.4.1-1jpp
- 1.4.1

* Tue Aug 20 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.4-1jpp
- 1.4

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.3-3jpp
- change to commons-xxx.jar instead of commons-xxx.home in ant parameters

* Mon Jun 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.3-2jpp
- use sed instead of bash 2.x extension in link area to make spec compatible
  with distro using bash 1.1x

* Fri Jun 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.3-1jpp 
- 1.3
- added short names in %%{_javadir}, as does jakarta developpers
- first jPackage release
